Bug 26104 - In Android cannot remove the divider line between header and listitems.
Summary: In Android cannot remove the divider line between header and listitems.
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.1
Hardware: Macintosh Mac OS
: Normal minor
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-16 09:36 UTC by rj.lala
Modified: 2016-12-06 12:04 UTC (History)
7 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Divider lines in tablesection (56.20 KB, image/png)
2015-01-16 09:36 UTC, rj.lala
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description rj.lala 2015-01-16 09:36:07 UTC
Created attachment 9380 [details]
Divider lines in tablesection

Hello,

In Android I have 3 TableSections.
Every TableSection has a TableSectionHeader with a divider line.
I have the following custom renderer which hides the header, but I cannot remove the divider line.
See also the attachment, the blue lines.

//Used to clear empty headers in TableView for sections without a specified title
[assembly: ExportRenderer (typeof(TextCell), typeof(TableSectionHeaderRenderer))]
public class TableSectionHeaderRenderer : TextCellRenderer
{
	protected override Android.Views.View GetCellCore (Cell item, Android.Views.View convertView, ViewGroup parent, Context context)
	{
		// Hide cells of TableSections with no title.
		var view = base.GetCellCore (item, convertView, parent, context) as ViewGroup;
		if (String.IsNullOrEmpty ((item as TextCell).Text)) {
			view.Visibility = ViewStates.Gone;
			while (view.ChildCount > 0) {
				view.RemoveViewAt (0);
			}
			view.SetMinimumHeight (0);
			view.SetPadding (0, 0, 0, 0);
		}
		var textCell = (TextCell)item;
		return view;
	}	
}
Comment 1 Michael Rumpler 2016-08-09 09:23:29 UTC
I submitted a PR to fix this issue: https://github.com/xamarin/Xamarin.Forms/pull/287
Comment 2 Rui Marinho 2016-12-06 12:04:14 UTC
Should be fixed in 2.3.4-pre2